
#include <Spectre/Display/Display.h>
#include "PlatformDisplay.h"

#ifdef _WIN32
#include <Platform/Win32/Win32Display.h>
typedef Win32Display DisplayType;
#else
#error "No Display implementation exists"
#endif

PlatformDisplay* PlatformDisplay::make(Display* parent)
{
	DisplayType* disp = new DisplayType();
	disp->m_parent = parent;
	return disp;
}

PlatformDisplay::PlatformDisplay()
{
}

PlatformDisplay::~PlatformDisplay()
{
	// Nothing to do.
}

void PlatformDisplay::onReshape(int width, int height)
{
	// Forward to parent.
	m_parent->onReshape(width, height);
}